Skip to main content
`Ctrl`+`K`

# DMRegisterAll

Registers all of the DM components in the DM package.

## Synopsis

    #include "petscdm.h"
    #include "petscdmplex.h"
    PetscErrorCode DMRegisterAll(void)

Not Collective

## See Also

`DMRegister()`, `DMRegisterDestroy()`

## Level

advanced

## Location

src/dm/interface/dmregall.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages